Reg comments41

Adobe reverses decision to kill NPAPI Flash plugin for Linux

Resumes updates after four years because even retro-Penguinistas deserve security

Adobe has reversed its decision to kill the NPAPI Flash plugin on Linux, instead deciding that penguinistas deserve some love after four years of neglect.

Adobe's notification of the changes includes news that its beta channel beta now includes test code for version 23 of the Linux NPAPI Flash Player.

Linux NPAPI users have been stuck on version 11.2 for four years but are now on the way to running the same version number as the rest of us. Or those of us not fleeing in the direction of HTML5 given Flash's sieve-like security. And also those still running NPAPI plugins, as that format is being deprecated by the Chromium project.

Adobe's billing the update as “primarily a security initiative” and warns that “some features (like GPU 3D acceleration and premium video DRM) will not be fully implemented.” If you must have them, use the PPAPI plugin, which has been kept updated to current releases.

Henceforth both the NPAI and PPAPI Linux plugins will be released “with their major version numbers in sync and on a regular basis.”

So welcome back to the land of Flash, NPAPI-plugin-loving penguinistas. Everyone else may be leaving, but Adobe's just rolled out the welcome mat for you. ®

Sign up to our Newsletter

Get IT in your inbox daily

Biting the hand that feeds IT © 1998–2017